aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.GetUser

Synopsis

- data GetUser = GetUser (Maybe Text)
- data GetUserResponse = GetUserResponse User
- data User = User {
  - userArn :: Text
  - userCreateDate :: UTCTime
  - userPath :: Text
  - userUserId :: Text
  - userUserName :: Text
  }

# Documentation

data GetUser #

Retreives information about the given user.

If a user name is not given, IAM determines the user name based on the access key signing the request.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_GetUser.html

Constructors

GetUser (Maybe Text) |

#### Instances

Instances details

SignQuery GetUser # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type ServiceConfiguration GetUser |
Instance details Defined in Aws.Iam.Commands.GetUser type ServiceConfiguration GetUser = IamConfiguration

Methods

signQuery :: GetUser -> ServiceConfiguration GetUser queryType -> SignatureData -> SignedQuery #

Show GetUser # |
Instance details Defined in Aws.Iam.Commands.GetUser Methods showsPrec :: Int -> GetUser -> ShowS # show :: GetUser -> String # showList :: [GetUser] -> ShowS #
Eq GetUser # |
Instance details Defined in Aws.Iam.Commands.GetUser Methods (==) :: GetUser -> GetUser -> Bool # (/=) :: GetUser -> GetUser -> Bool #
Ord GetUser # |
Instance details Defined in Aws.Iam.Commands.GetUser Methods compare :: GetUser -> GetUser -> Ordering # (<) :: GetUser -> GetUser -> Bool # (<=) :: GetUser -> GetUser -> Bool # (>) :: GetUser -> GetUser -> Bool # (>=) :: GetUser -> GetUser -> Bool # max :: GetUser -> GetUser -> GetUser # min :: GetUser -> GetUser -> GetUser #
ResponseConsumer GetUser GetUserResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type ResponseMetadata GetUserResponse |
Instance details Defined in Aws.Iam.Commands.GetUser type ResponseMetadata GetUserResponse = IamMetadata

Methods

responseConsumer :: Request -> GetUser -> IORef (ResponseMetadata GetUserResponse) -> HTTPResponseConsumer GetUserResponse #

Transaction GetUser GetUserResponse # |
Instance details Defined in Aws.Iam.Commands.GetUser
type ServiceConfiguration GetUser # |
Instance details Defined in Aws.Iam.Commands.GetUser type ServiceConfiguration GetUser = IamConfiguration

data GetUserResponse #

Constructors

GetUserResponse User |

#### Instances

Instances details

AsMemoryResponse GetUserResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type MemoryResponse GetUserResponse |
Instance details Defined in Aws.Iam.Commands.GetUser type MemoryResponse GetUserResponse = GetUserResponse

Methods

loadToMemory :: GetUserResponse -> ResourceT IO (MemoryResponse GetUserResponse) #

Show GetUserResponse # |
Instance details Defined in Aws.Iam.Commands.GetUser Methods showsPrec :: Int -> GetUserResponse -> ShowS # show :: GetUserResponse -> String # showList :: [GetUserResponse] -> ShowS #
Eq GetUserResponse # |
Instance details Defined in Aws.Iam.Commands.GetUser Methods (==) :: GetUserResponse -> GetUserResponse -> Bool # (/=) :: GetUserResponse -> GetUserResponse -> Bool #
Ord GetUserResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Methods

compare :: GetUserResponse -> GetUserResponse -> Ordering #

(<) :: GetUserResponse -> GetUserResponse -> Bool #

(<=) :: GetUserResponse -> GetUserResponse -> Bool #

(>) :: GetUserResponse -> GetUserResponse -> Bool #

(>=) :: GetUserResponse -> GetUserResponse -> Bool #

max :: GetUserResponse -> GetUserResponse -> GetUserResponse #

min :: GetUserResponse -> GetUserResponse -> GetUserResponse #

ResponseConsumer GetUser GetUserResponse # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type ResponseMetadata GetUserResponse |
Instance details Defined in Aws.Iam.Commands.GetUser type ResponseMetadata GetUserResponse = IamMetadata

Methods

responseConsumer :: Request -> GetUser -> IORef (ResponseMetadata GetUserResponse) -> HTTPResponseConsumer GetUserResponse #

Transaction GetUser GetUserResponse # |
Instance details Defined in Aws.Iam.Commands.GetUser
type MemoryResponse GetUserResponse # |
Instance details Defined in Aws.Iam.Commands.GetUser type MemoryResponse GetUserResponse = GetUserResponse
type ResponseMetadata GetUserResponse # |
Instance details Defined in Aws.Iam.Commands.GetUser type ResponseMetadata GetUserResponse = IamMetadata

data User #

The IAM `User` data type.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_User.html

Constructors

User |

Fields

- userArn :: Text

  ARN used to refer to this user.

- userCreateDate :: UTCTime

  Date and time at which the user was created.

- userPath :: Text

  Path under which the user was created.

- userUserId :: Text

  Unique identifier used to refer to this user.

- userUserName :: Text

  Name of the user.

#### Instances

Instances details

Show User # |
Instance details Defined in Aws.Iam.Core Methods showsPrec :: Int -> User -> ShowS # show :: User -> String # showList :: [User] -> ShowS #
Eq User # |
Instance details Defined in Aws.Iam.Core Methods (==) :: User -> User -> Bool # (/=) :: User -> User -> Bool #
Ord User # |
Instance details Defined in Aws.Iam.Core Methods compare :: User -> User -> Ordering # (<) :: User -> User -> Bool # (<=) :: User -> User -> Bool # (>) :: User -> User -> Bool # (>=) :: User -> User -> Bool # max :: User -> User -> User # min :: User -> User -> User #